<nav id="header" class="navbar navbar-expand-md navbar-dark bg-primary fixed-top">
  <a class="navbar-brand  px-2 btn btn-primary" routerLink="home">
    <fa name="book" ></fa> &amp; <fa name="file-video-o"></fa>
  </a>
  <span class="navbar-text" style="white-space: nowrap">
      Books &amp; Videos Store
    </span>
  <button class="navbar-toggler" type="button"
          data-toggle="collapse" data-target="#navbarMenu">
    <span class="navbar-toggler-icon"></span>
  </button>

  <div id="navbarMenu" class="navbar-collapse collapse" >

  </div>

  <div class="d-inline-block ml-auto" style="white-space: nowrap">
    <app-cart-widget></app-cart-widget>
  </div>
</nav>
